using adas_core.Domain.Models;

namespace adas_core.Application.Repositories.Interfaces;

public interface IAppointmentArchiveRepository
{
    Task InsertOneAsync(PatientAppointment patientAppointment);
    Task DeleteBeforeDate(DateTime date);
    Task<long> InsertBatch(IEnumerable<PatientAppointment> appointment);
}